Package org.eclipse.m2m.atl.profiler.ui.profilingdatatable

# Enum Class MemoryComparator.ColumnType

java.lang.Object
java.lang.Enum<MemoryComparator.ColumnType>
org.eclipse.m2m.atl.profiler.ui.profilingdatatable.MemoryComparator.ColumnType

All Implemented Interfaces:
  `Serializable`, `Comparable<MemoryComparator.ColumnType>`, `Constable`

Enclosing class:
  MemoryComparator

public static enum MemoryComparator.ColumnType extends Enum<MemoryComparator.ColumnType>
The columns possible types.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`InMem`
In memory.
`MaxMem`
Max memory.
`OutMem`
Out memory.

## Method Summary

Modifier and Type
Method
Description
`static MemoryComparator.ColumnType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MemoryComparator.ColumnType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### InMem

public static final MemoryComparator.ColumnType InMem
In memory.

### MaxMem

public static final MemoryComparator.ColumnType MaxMem
Max memory.

### OutMem

public static final MemoryComparator.ColumnType OutMem
Out memory.

## Method Details

### values

public static MemoryComparator.ColumnType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MemoryComparator.ColumnType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null